/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2009-2010 EBM WebSourcing - http://www.petalslink.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package org.ow2.petals.se.quartz;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.listener.AbstractJBIListener;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 * @author Vincent Zurczak - EBM WebSourcing
 */
public class QuartzJBIListener extends AbstractJBIListener {

	/*
	 * (non-Javadoc)
	 * @see org.ow2.petals.component.framework.listener.AbstractJBIListener
	 * #onJBIMessage(org.ow2.petals.component.framework.api.message.Exchange)
	 */
	@Override
	public boolean onJBIMessage( Exchange exchange ) {

		// Cannot be a request from a consumer, nor a response from another MEP than InOnly.
		// It can only be only an error due to the configured CDK filter.
		Logger logger = getLogger();
		if( logger.isLoggable( Level.INFO )) {
			String msg = exchange.getExchangeId() + " encountered a minor problem. The Quartz component does not accept messages.";
			logger.info( msg );
		}

		return true;
	}
}
